% Code to illustrate use of CoB software to 
% calculate upper/lower bound values for a given 
% group, using Zachary's karate club network.

% Load in adjacency matrix.
load zachary_adjacency.txt
zadj = zachary_adjacency;

% Establish vertices in group of interest
% i.e., here actors 1, 2, 3, and 34.
grpindvec = [1,2,3,34];
m = length(grpindvec);

% Call LUBounds to compute relevant co-b values and
% the bounds from those.
[CBl,CBu] = LUBounds(zadj,grpindvec);

% Rescale to normalized betweenness scales.
% 34 nodes in the karate club network.
CBl = CBl/((34-m)*(34-m-1));
CBu = CBu/((34-m)*(34-m-1));

% Return output.
[grpindvec, CBl,CBu]

